<?php

namespace sfepy\MasscomBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Script
 */
class Script
{
    /**
     * @var integer
     */
    private $id;

    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $url;

    /**
     * @var string
     */
    private $cmd;

    /**
     * @var \Doctrine\Common\Collections\Collection
     */
    private $user_save;

    /**
     * Constructor
     */
    public function __construct()
    {
        $this->user_save = new \Doctrine\Common\Collections\ArrayCollection();
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set name
     *
     * @param string $name
     * @return Script
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string 
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set url
     *
     * @param string $url
     * @return Script
     */
    public function setUrl($url)
    {
        $this->url = $url;

        return $this;
    }

    /**
     * Get url
     *
     * @return string 
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * Set cmd
     *
     * @param string $cmd
     * @return Script
     */
    public function setCmd($cmd)
    {
        $this->cmd = $cmd;

        return $this;
    }

    /**
     * Get cmd
     *
     * @return string 
     */
    public function getCmd()
    {
        return $this->cmd;
    }

    /**
     * @var \Doctrine\Common\Collections\Collection
     */
    private $log;

    /**
     * @var \Doctrine\Common\Collections\Collection
     */
    private $problem_id;


    /**
     * Add log
     *
     * @param \sfepy\MasscomBundle\Entity\Log $log
     * @return Script
     */
    public function addLog(\sfepy\MasscomBundle\Entity\Log $log)
    {
        $this->log[] = $log;

        return $this;
    }

    /**
     * Remove log
     *
     * @param \sfepy\MasscomBundle\Entity\Log $log
     */
    public function removeLog(\sfepy\MasscomBundle\Entity\Log $log)
    {
        $this->log->removeElement($log);
    }

    /**
     * Get log
     *
     * @return \Doctrine\Common\Collections\Collection 
     */
    public function getLog()
    {
        return $this->log;
    }

    /**
     * Add problem_id
     *
     * @param \sfepy\MasscomBundle\Entity\Problem $problemId
     * @return Script
     */
    public function addProblemId(\sfepy\MasscomBundle\Entity\Problem $problemId)
    {
        $this->problem_id[] = $problemId;

        return $this;
    }

    /**
     * Remove problem_id
     *
     * @param \sfepy\MasscomBundle\Entity\Problem $problemId
     */
    public function removeProblemId(\sfepy\MasscomBundle\Entity\Problem $problemId)
    {
        $this->problem_id->removeElement($problemId);
    }

    /**
     * Get problem_id
     *
     * @return \Doctrine\Common\Collections\Collection 
     */
    public function getProblemId()
    {
        return $this->problem_id;
    }

    /**
     * Add user_save
     *
     * @param \sfepy\MasscomBundle\Entity\Usersave $userSave
     * @return Script
     */
    public function addUserSave(\sfepy\MasscomBundle\Entity\Usersave $userSave)
    {
        $this->user_save[] = $userSave;

        return $this;
    }

    /**
     * Remove user_save
     *
     * @param \sfepy\MasscomBundle\Entity\Usersave $userSave
     */
    public function removeUserSave(\sfepy\MasscomBundle\Entity\Usersave $userSave)
    {
        $this->user_save->removeElement($userSave);
    }

    /**
     * Get user_save
     *
     * @return \Doctrine\Common\Collections\Collection 
     */
    public function getUserSave()
    {
        return $this->user_save;
    }
    
    /**
     * Return name of entity
     * (used for selectbox for add new problem)
     * 
     * @return string
     */
    public function __toString()
    {
        return $this->name;
    }
}
